# README.rst

# Partner Auth

This module adds to the partners the ability to authenticate through directories.

This module does not implement any routing, it only provides the basic mechanisms in a directory for:

> - Registering a partner and sending an welcome email (to validate email address): _signup
> - Authenticating a partner: _login
> - Validating a partner email using a token: _validate_email
> - Impersonating: _impersonate, _impersonating
> - Resetting the password with a unique token sent by mail: _request_reset_password, _set_password
> - Sending an invite mail when registering a partner from odoo interface for the partner to enter a password: _send_invite, _set_password

For a routing implementation, see the fastapi_auth_partner module.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

## Usage

This module isn’t meant to be used standalone but you can still see the directories and authenticable partners in:

Settings > Technical > Partner Authentication > Partner

and

Settings > Technical > Partner Authentication > Directory

## Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

## Credits

### Authors

- Akretion

### Contributors

- Akretion:
  - Sébastien Beau
  - Florian Mounier

### Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/rest-framework project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.